## org.biojava.bio.program.tagvalue
Interface TagValueWrapper

All Superinterfaces:
  TagValueListener

All Known Implementing Classes:
  AbstractWrapper, Aggregator, MultiTagger, RegexFieldFinder, SimpleTagValueWrapper, StateMachine, TagDelegator, TagDropper, TagRenamer, ValueChanger

    public interface TagValueWrapper

extends TagValueListener

Interface for TagValueListeners that wrap other TagValueListeners

Implementations will tend to intercept the tags or values as they stream through and modify them in some manner before forwarding them to the delegate listener. Using classes derived from SimpleTagValueWrapper, it is possible to build up complex chains of handlers that process and collate information as it streams through.

Since:
  1.2
Author:
  Matthew Pocock, David Huen (conversion to interface)

Method Summary
`TagValueListener` `getDelegate()` get listener to which all calls will be delegated
`void` `setDelegate(TagValueListener delegate)` set listener to which all calls will be delegated

Methods inherited from interface org.biojava.bio.program.tagvalue.TagValueListener
`endRecord, endTag, startRecord, startTag, value`

Method Detail

### getDelegate

    TagValueListener getDelegate()

  get listener to which all calls will be delegated

### setDelegate

    void setDelegate(TagValueListener delegate)

  set listener to which all calls will be delegated